//---------------------------------------------------------------------------
// umFish30LRob : Testprogramm RobMode                  Ulrich Mller 29.5.02
//                                                      PCS1700  C++Builder 4
// --------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "umFish30LRob.h"
#include "umFish30Load.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmMain *frmMain;
ftiDCB ft;

//---------------------------------------------------------------------------
__fastcall TfrmMain::TfrmMain(TComponent* Owner)
        : TForm(Owner)
{
}

//--- Start Testprogramm ------------------------------------------------------

void __fastcall TfrmMain::cmdActionClick(TObject *Sender)
{
  if(cmdAction->Caption == "&START")
  {
    lblTitel->Caption = "Hello umFish30.DLL";
    cmdAction->Caption = "&ENDE";
    cmdAction->Enabled = FALSE;
    Application->ProcessMessages();
    LoadFish();
    lblAus->Caption = IntToStr(umOpenInterface(ft, "COM1"));

    RobGo();

    umCloseInterface(ft);
    FreeFish();
    cmdAction->Enabled = TRUE;
    return;
  }
  Close();

}

//--- Test RobMode -------------------------------------------------------------
//    Motor an M1, EndTaster an E1, ImpulsTaster an E2
//             M2,              E3,                 E4

void TfrmMain::RobGo(void)
{
  ft.ModeStatus = 0;  // --- Lschen ModeStatus
  umRobMotor(ft,      //     umRobMotor stell RobMode ein
    1,                // --- Motor an M1
    ftiLinks,         //     links
    10,               //     half Speed
    24);              //     24 Impulse
  umRobMotor(ft, 2, ftiRechts, 15, 24);
  while(ft.ModeStatus)
  {
    lblAus->Caption = IntToStr(ft.Counters[1]);
    Application->ProcessMessages();
  }
  lblAus->Caption = IntToStr(ft.Counters[1]);
}

