// ------------------------------------------------------------------------------
//
// umFish30VC.CPP                                          Ulrich Mller  13.5.02
//                                                         PCS1700       VC++ 6.0
// Beispielprogramm VC++ (Konsole) fr umFish30.DLL
// Lampen an  M1, M2, M3, Endtaster E1 und Photowiderstand an EX
//
// ------------------------------------------------------------------------------

#include <windows.h>
#include <iostream.h>
#include "umFish30VC.h"

DWORD res, i, j;
DWORD Ampel[] = {0x1, 0x4, 0x10};
int ft;

void main()
{
	cout << "---- umFish30VC gestartet ----" << endl;
	cout << "Version : " << csVersion() << endl;

	
	// --- Verbindung zum Interface --------------------------------------------------
	ft = csOpenInterface(1, 1, 0, 0);    // -- COM1, AnalogScan, no Slave, Poll default 
	if(ft == ftiFehler)                  //          0 - 8 : LPT, COM1 - COM8
	{
		cout << "Interface Problem, Abbruch" << endl;
		return;
	}
	cout << "OpenInterface erfolgreich" << endl;


	cout << "--- Schleife ueber die Lampen" << endl;
	for(j=0; j<4; j++) 
	{
		csSetMotors(ft, 0);
		Sleep(300);
		for(i=1; i<=3; i++) 
		{
			res = csSetMotor(ft, i, ftiRechts);
			cout << "  MotorStatus : " << csGetMotors(ft) 
				   << " EX : " << csGetAnalogDirect(ft, 0) <<endl;
			Sleep (500);
		}
	}
  
	// --------------------------------- Ende -----------------------------------
	cout << "--- EX : " << csGetAnalog(ft, 0) << endl;
  	csSetMotors(ft, 0);
	cout << " ENDE : Eingang 1 = TRUE, InputStatus : " << csGetInputs(ft)  << endl;
	while(!csGetInput(ft, 1));
	cout << "Counter 1 : " << csGetCounter(ft, 1) <<endl;
	res = csCloseInterface(ft);
	cout << "--- ENDE umFishVC in der cs-Version ----" << endl;
}

